## com.saxonica.xsltextn
Class SaxonElementFactory

    java.lang.Object
      com.saxonica.xsltextn.SaxonElementFactory

All Implemented Interfaces:
  ExtensionElementFactory

Direct Known Subclasses:
  SaxonElementFactoryEE

    public class SaxonElementFactory

extends Object
implements ExtensionElementFactory

A Factory for Saxon extension nodes in the stylesheet tree.

Constructor Summary
`SaxonElementFactory()`

Method Summary
`Class` `getExtensionClass(String localname)` Identify the class to be used for stylesheet elements with a given local name.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SaxonElementFactory

    public SaxonElementFactory()

Method Detail

### getExtensionClass

    public Class getExtensionClass(String localname)

  Identify the class to be used for stylesheet elements with a given local name. The returned class must extend net.sf.saxon.style.StyleElement

  Specified by:
    `getExtensionClass` in interface `ExtensionElementFactory`
  Returns:
    null if the local name is not a recognised element type in this namespace.

Copyright (c) 2004-2010 Saxonica Limited. All rights reserved.